#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull lscr.io/linuxserver/pyload-ng:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep PyLoad_NG | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=PyLoad_NG \
	-p 38800:8000 -p 9666:9666 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/PyLoad_NG/config:/config:rw \
	-v /share/Download/PyLoad_NG:/downloads:rw \
	-v /share:/NAS_shared:rw \
	--restart unless-stopped \
	lscr.io/linuxserver/pyload-ng:latest

docker start PyLoad_NG


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep lscr.io/linuxserver/pyload-ng | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

# The followings can be removed from next release.
imold=$(docker images | grep linuxserver/pyload | grep latest | awk '{print $3}')
echo $imold
		
if [ ! -z $imold ]; then 
	docker rmi -f $imold
fi

exit 0
